import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { WbAdBlackLot } from '../models/index';
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
interface WbAdBlackLotCU extends ConditionUtil<WbAdBlackLotCU> {
    ID: FieldUtil<WbAdBlackLotCU>;
    POSITION: FieldUtil<WbAdBlackLotCU>;
    LOT_ID: FieldUtil<WbAdBlackLotCU>;
    CREATE_TIME: FieldUtil<WbAdBlackLotCU>;
    UPDATE_TIME: FieldUtil<WbAdBlackLotCU>;
}
declare class WbAdBlackLotMU extends TableUtilImpl<WbAdBlackLotCU, WbAdBlackLot> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): WbAdBlackLotCU;
    static get ID(): FieldUtil<WbAdBlackLotCU>;
    static get POSITION(): FieldUtil<WbAdBlackLotCU>;
    static get LOT_ID(): FieldUtil<WbAdBlackLotCU>;
    static get CREATE_TIME(): FieldUtil<WbAdBlackLotCU>;
    static get UPDATE_TIME(): FieldUtil<WbAdBlackLotCU>;
    get ID(): FieldUtil<WbAdBlackLotCU>;
    get POSITION(): FieldUtil<WbAdBlackLotCU>;
    get LOT_ID(): FieldUtil<WbAdBlackLotCU>;
    get CREATE_TIME(): FieldUtil<WbAdBlackLotCU>;
    get UPDATE_TIME(): FieldUtil<WbAdBlackLotCU>;
}
export { WbAdBlackLotMU, WbAdBlackLotCU };
